# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapOfIntegerOwner Class Reference

`#include <MeshVS_DataMapOfIntegerOwner.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_DataMapOfIntegerOwner (const Standard_Integer NbBuckets=1)
Standard_EXPORT MeshVS_DataMapOfIntegerOwner & | Assign (const MeshVS_DataMapOfIntegerOwner &Other)
MeshVS_DataMapOfIntegerOwner & | operator= (const MeshVS_DataMapOfIntegerOwner &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MeshVS_DataMapOfIntegerOwner ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Handle(SelectMgr_EntityOwner)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Handle_SelectMgr_EntityOwner & | Find (const Standard_Integer &K) const
const Handle_SelectMgr_EntityOwner & | operator() (const Standard_Integer &K) const
Standard_EXPORT Handle_SelectMgr_EntityOwner & | ChangeFind (const Standard_Integer &K)
Handle_SelectMgr_EntityOwner & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | MeshVS_DataMapOfIntegerOwner (const MeshVS_DataMapOfIntegerOwner &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_DataMapOfIntegerOwner::MeshVS_DataMapOfIntegerOwner | ( | const Standard_Integer | NbBuckets = `1` | ) |

MeshVS_DataMapOfIntegerOwner::~MeshVS_DataMapOfIntegerOwner | ( |  | ) | `[inline]`

Standard_EXPORT MeshVS_DataMapOfIntegerOwner::MeshVS_DataMapOfIntegerOwner | ( | const MeshVS_DataMapOfIntegerOwner & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MeshVS_DataMapOfIntegerOwner& MeshVS_DataMapOfIntegerOwner::Assign | ( | const MeshVS_DataMapOfIntegerOwner & | Other | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerOwner::Bind | ( | const Standard_Integer & | K,
|  | const Handle(SelectMgr_EntityOwner)& | I
| ) |

Standard_EXPORT Handle_SelectMgr_EntityOwner& MeshVS_DataMapOfIntegerOwner::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void MeshVS_DataMapOfIntegerOwner::Clear | ( |  | ) |

Standard_EXPORT const Handle_SelectMgr_EntityOwner& MeshVS_DataMapOfIntegerOwner::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerOwner::IsBound | ( | const Standard_Integer & | K | ) | const

void MeshVS_DataMapOfIntegerOwner::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_DataMapOfIntegerOwner::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_DataMapOfIntegerOwner::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_SelectMgr_EntityOwner& MeshVS_DataMapOfIntegerOwner::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Handle_SelectMgr_EntityOwner& MeshVS_DataMapOfIntegerOwner::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

MeshVS_DataMapOfIntegerOwner& MeshVS_DataMapOfIntegerOwner::operator= | ( | const MeshVS_DataMapOfIntegerOwner & | Other | ) | `[inline]`

Standard_EXPORT void MeshVS_DataMapOfIntegerOwner::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerOwner::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- MeshVS_DataMapOfIntegerOwner.hxx